Subject: [Ecrit] Performance Requirement

From: "Brian Rosen" <[email-masked]>
Date: Tue, 2 Aug 2005 08:18:53 -0400

Rohan suggested we remove the D5 requirement and replace it with a
motivational section, since there was no requirement.  I think we should
have a concrete goal, with a motivation for how we came to the goal.  I
propose:

The time required to map SHOULD be 500ms, assuming normal caching strategies
in the mechanism work.  The maximum time SHOULD be 1 second.

Motivation: Total time from last digit pressed to ring at the PSAP should be
two seconds.  Allocating one quarter of that to the mapping mechanism seems
reasonable, and achievable if caching mechanisms work well enough for a
single element to determine the mapping.

Brian

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: Andrew Newton <[email-masked]>
Date: Tue, 2 Aug 2005 08:43:39 -0400

On Aug 2, 2005, at 8:18 AM, Brian Rosen wrote:

> motivational section, since there was no requirement.  I think we  
> should have a concrete goal, with a motivation for how we came to  
> the goal.  I propose:
>
>
>
> The time required to map SHOULD be 500ms, assuming normal caching  
> strategies in the mechanism work.  The maximum time SHOULD be 1  
> second.
>
>
>
> Motivation: Total time from last digit pressed to ring at the PSAP  
> should be two seconds.  Allocating one quarter of that to the  
> mapping mechanism seems reasonable, and achievable if caching  
> mechanisms work well enough for a single element to determine the  
> mapping.
I believe that if we continue applying 2119 language, then specifying  
it as a gaol or a requirement has no difference.  Also, the mechanism  
specifies caching.  Given we don't know what the requirements are for  
caching, we should avoid this language.

-andy

---

From: "Brian Rosen" <[email-masked]>
Date: Tue, 2 Aug 2005 09:36:58 -0400

There is a difference between a "motivational" paragraph discussing the
problem and an actual requirement.  The former is non normative.

All of the proposals use caching.  I don't see a problem saying that the
performance requirement is measured when caching "works" as intended in the
mechanism.  We can use weasel words like "to the extent caching is employed
in the mechanism, the goal of 500ms would be measured when caching
strategies in the mechanism work".

Brian

-----Original Message-----
From: Andrew Newton [mailto:[email-masked]] 
Sent: Tuesday, August 02, 2005 8:44 AM
To: Brian Rosen
Cc: 'ECRIT'
Subject: Re: [Ecrit] Performance Requirement

-andy